org.jbpm.services.task.internals.lifecycle

## Class OperationCommand

- java.lang.Object
- - org.jbpm.services.task.internals.lifecycle.OperationCommand

-     public class OperationCommand
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperationCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Allowed>` | `getAllowed()`
    `org.kie.internal.task.api.model.Operation` | `getExec()`
    `org.kie.api.task.model.Status` | `getNewStatus()`
    `List<org.kie.api.task.model.Status>` | `getPreviousStatus()`
    `List<org.kie.api.task.model.Status>` | `getStatus()`
    `boolean` | `isAddTargetEntityToPotentialOwners()`
    `boolean` | `isAddTargetUserToPotentialOwners()`
    `boolean` | `isGroupTargetEntityAllowed()`
    `boolean` | `isRemoveUserFromPotentialOwners()`
    `boolean` | `isSetNewOwnerToNull()`
    `boolean` | `isSetNewOwnerToUser()`
    `boolean` | `isSetToPreviousStatus()`
    `boolean` | `isSkipable()`
    `boolean` | `isUserIsExplicitPotentialOwner()`
    `void` | `setAddTargetUserToPotentialOwners(boolean addTargetUserToPotentialOwners)`
    `void` | `setAllowed(List<Allowed> allowed)`
    `void` | `setExec(org.kie.internal.task.api.model.Operation exec)`
    `void` | `setGroupTargetEntityAllowed(boolean groupTargetEntityAllowed)`
    `void` | `setNewStatus(org.kie.api.task.model.Status newStatus)`
    `void` | `setPreviousStatus(List<org.kie.api.task.model.Status> previousStatus)`
    `void` | `setRemoveUserFromPotentialOwners(boolean removeUserFromPotentialOwners)`
    `void` | `setSetNewOwnerToNull(boolean setNewOwnerToNull)`
    `void` | `setSetNewOwnerToUser(boolean setNewOwnerToTargetUser)`
    `void` | `setSetToPreviousStatus(boolean setToPreviousStatus)`
    `void` | `setSkipable(boolean skippable)`
    `void` | `setStatus(List<org.kie.api.task.model.Status> status)`
    `void` | `setUserIsExplicitPotentialOwner(boolean userIsExplicitPotentialOwner)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OperationCommand

          public OperationCommand()

  - ### Method Detail

    - #### getStatus

          public List<org.kie.api.task.model.Status> getStatus()

    - #### setStatus

          public void setStatus(List<org.kie.api.task.model.Status> status)

    - #### getPreviousStatus

          public List<org.kie.api.task.model.Status> getPreviousStatus()

    - #### setPreviousStatus

          public void setPreviousStatus(List<org.kie.api.task.model.Status> previousStatus)

    - #### getAllowed

          public List<Allowed> getAllowed()

    - #### setAllowed

          public void setAllowed(List<Allowed> allowed)

    - #### getNewStatus

          public org.kie.api.task.model.Status getNewStatus()

    - #### setNewStatus

          public void setNewStatus(org.kie.api.task.model.Status newStatus)

    - #### isSetNewOwnerToNull

          public boolean isSetNewOwnerToNull()

    - #### setSetNewOwnerToNull

          public void setSetNewOwnerToNull(boolean setNewOwnerToNull)

    - #### isAddTargetUserToPotentialOwners

          public boolean isAddTargetUserToPotentialOwners()

    - #### setAddTargetUserToPotentialOwners

          public void setAddTargetUserToPotentialOwners(boolean addTargetUserToPotentialOwners)

    - #### isSetNewOwnerToUser

          public boolean isSetNewOwnerToUser()

    - #### setSetNewOwnerToUser

          public void setSetNewOwnerToUser(boolean setNewOwnerToTargetUser)

    - #### isSetToPreviousStatus

          public boolean isSetToPreviousStatus()

    - #### setSetToPreviousStatus

          public void setSetToPreviousStatus(boolean setToPreviousStatus)

    - #### isUserIsExplicitPotentialOwner

          public boolean isUserIsExplicitPotentialOwner()

    - #### setUserIsExplicitPotentialOwner

          public void setUserIsExplicitPotentialOwner(boolean userIsExplicitPotentialOwner)

    - #### isAddTargetEntityToPotentialOwners

          public boolean isAddTargetEntityToPotentialOwners()

    - #### isRemoveUserFromPotentialOwners

          public boolean isRemoveUserFromPotentialOwners()

    - #### setRemoveUserFromPotentialOwners

          public void setRemoveUserFromPotentialOwners(boolean removeUserFromPotentialOwners)

    - #### isSkipable

          public boolean isSkipable()

    - #### setSkipable

          public void setSkipable(boolean skippable)

    - #### getExec

          public org.kie.internal.task.api.model.Operation getExec()

    - #### setExec

          public void setExec(org.kie.internal.task.api.model.Operation exec)

    - #### isGroupTargetEntityAllowed

          public boolean isGroupTargetEntityAllowed()

    - #### setGroupTargetEntityAllowed

          public void setGroupTargetEntityAllowed(boolean groupTargetEntityAllowed)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.